Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.ix.jspTutorial.model
Class Pizza

    java.lang.Object
      |
      +--de.ix.jspTutorial.model.Pizza

Direct Known Subclasses:
  PersonalPizza

public class Pizza
extends java.lang.Object
implements I_DatabaseObject

This class to represents a base pizza withou any ingredients.

Version:
  $Id:$
Author:
  Peter Rossbach (pr@webapp.de), Lars Röwekamp ( lars.roewekamp@openKnowledge.de)

Field Summary
`private double` | `basePrice` base price of the pizza
`private long` | `id` unique id
`private java.lang.String` | `name` pizzas name
`private java.lang.String` | `size` pizzas size
`static java.lang.String` | `vcid` version of the source

Fields inherited from interface de.ix.jspTutorial.database.I_DatabaseObject
`vcid`

Constructor Summary
`Pizza()` Constructor for an empty pizza.
`Pizza(long id, java.lang.String name, java.lang.String size, double basePrice)` Constructor for a real base pizza

Method Summary
`double` | `getBasePrice()` Getter method for the attribute `basePrice`
`DatabaseGenericObject` | `getGenericObject()` Method to create a generic object
`long` | `getId()` Getter method for the attribute `id`
`java.lang.String` | `getName()` Getter method for the attribute `name`
`java.lang.String` | `getSize()` Getter method for the attribute `size`
`void` | `setBasePrice(double newBasePrice)` Setter method for the attribute `basePrice`
`void` | `setId(long newId)` Setter method for the attribute `id`
`void` | `setName(java.lang.String newName)` Setter method for the attribute `name`
`void` | `setSize(java.lang.String newSize)` Setter method for the attribute `size`
`java.lang.String` | `toString()` Build a string out of the order attributes.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### vcid

    public static java.lang.String vcid

  version of the source

### name

    private java.lang.String name

  pizzas name

### basePrice

    private double basePrice

  base price of the pizza

### id

    private long id

  unique id

### size

    private java.lang.String size

  pizzas size

Constructor Detail

### Pizza

    public Pizza()

  Constructor for an empty pizza.

### Pizza

    public Pizza(long id,
                 java.lang.String name,
                 java.lang.String size,
                 double basePrice)

  Constructor for a real base pizza
  Parameters:
    `id` - unique id of the base pizza
    `name` - name of the base pizza
    `size` - size of the badse pizza
    `basePrice` - price of the base pizza

Method Detail

### getGenericObject

    public DatabaseGenericObject getGenericObject()

  Method to create a generic object
  Returns:
    a DatabaseGenericObject
  See Also:
    `DatabaseGenericModifier.create(I_DatabaseGenericObject,String)`

### setName

    public void setName(java.lang.String newName)

  Setter method for the attribute `name`
  Parameters:
    `newName` - new value for the attribute name
  See Also:
    `getName()`

### getName

    public java.lang.String getName()

  Getter method for the attribute `name`
  Returns:
    current value of the attribute name
  See Also:
    `setName(String)`

### setBasePrice

    public void setBasePrice(double newBasePrice)

  Setter method for the attribute `basePrice`
  Parameters:
    `newbasePrice` - new value for the attribute basePrice
  See Also:
    `getBasePrice()`

### getBasePrice

    public double getBasePrice()

  Getter method for the attribute `basePrice`
  Returns:
    current value of the attribute basePrice
  See Also:
    `setBasePrice(double)`

### setId

    public void setId(long newId)

  Setter method for the attribute `id`
  Parameters:
    `newId` - new value for the attribute id
  See Also:
    `getId()`

### getId

    public long getId()

  Getter method for the attribute `id`
  Returns:
    current value of the attribute id
  See Also:
    `setId(long)`

### setSize

    public void setSize(java.lang.String newSize)

  Setter method for the attribute `size`
  Parameters:
    `newSize` - new value for the attribute size
  See Also:
    `getSize()`

### getSize

    public java.lang.String getSize()

  Getter method for the attribute `size`
  Returns:
    current value of the attribute size
  See Also:
    `setSize(String)`

### toString

    public java.lang.String toString()

  Build a string out of the order attributes.
  Overrides:
    toString in class java.lang.Object
  Returns:
    String representation of the pizza

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~